GDB (xrefs)

Functions
arm.c File Reference
`#include "common-defs.h"`
`#include "common-regcache.h"`
`#include "arm.h"`

Go to the source code of this file.

## Functions
int | thumb_insn_size (unsigned short inst1)
int | bitcount (unsigned long val)
int | condition_true (unsigned long cond, unsigned long status_reg)
int | thumb_advance_itstate (unsigned int itstate)
int | arm_instruction_changes_pc (uint32_t this_instr)
int | thumb_instruction_changes_pc (unsigned short inst)
int | thumb2_instruction_changes_pc (unsigned short inst1, unsigned short inst2)
unsigned long | shifted_reg_val (struct regcache *regcache, unsigned long inst, int carry, unsigned long pc_val, unsigned long status_reg)

## Function Documentation

## ◆ arm_instruction_changes_pc()

int arm_instruction_changes_pc | ( | uint32_t | this_instr | ) |

Definition at line 112 of file arm.c.

References _, ARM_PC_REGNUM, bit, bits, error(), INST_NV, and internal_error().

Referenced by arm_analyze_prologue(), and arm_deal_with_atomic_sequence_raw().

## ◆ bitcount()

int bitcount | ( | unsigned long | val | ) |

Definition at line 38 of file arm.c.

Referenced by arm_copy_block_xfer(), arm_get_next_pcs_raw(), cleanup_block_load_pc(), cleanup_block_store_pc(), thumb2_copy_block_xfer(), thumb_copy_pop_pc_16bit(), and thumb_get_next_pcs_raw().

## ◆ condition_true()

int condition_true | ( | unsigned long | cond,
|  | unsigned long | status_reg
| ) |  |

Definition at line 49 of file arm.c.

References FLAG_C, FLAG_N, FLAG_V, FLAG_Z, INST_AL, INST_CC, INST_CS, INST_EQ, INST_GE, INST_GT, INST_HI, INST_LE, INST_LS, INST_LT, INST_MI, INST_NE, INST_NV, INST_PL, INST_VC, and INST_VS.

Referenced by arm_get_next_pcs_raw(), cleanup_block_load_all(), cleanup_block_load_pc(), cleanup_block_store_pc(), cleanup_branch(), and thumb_get_next_pcs_raw().

## ◆ shifted_reg_val()

unsigned long shifted_reg_val | ( | struct regcache * | regcache,
|  | unsigned long | inst,
|  | int | carry,
|  | unsigned long | pc_val,
|  | unsigned long | status_reg
| ) |  |

Definition at line 325 of file arm.c.

References ARM_PC_REGNUM, bit, bits, L, regcache_raw_get_unsigned(), and shifttype.

Referenced by arm_get_next_pcs_raw().

## ◆ thumb2_instruction_changes_pc()

int thumb2_instruction_changes_pc | ( | unsigned short | inst1,
|  | unsigned short | inst2
| ) |  |

Definition at line 231 of file arm.c.

References bit, and bits.

Referenced by thumb_analyze_prologue(), and thumb_deal_with_atomic_sequence_raw().

## ◆ thumb_advance_itstate()

int thumb_advance_itstate | ( | unsigned int | itstate | ) |

Definition at line 96 of file arm.c.

Referenced by thumb_get_next_pcs_raw().

## ◆ thumb_insn_size()

int thumb_insn_size | ( | unsigned short | inst1 | ) |

Definition at line 27 of file arm.c.

Referenced by arm_adjust_breakpoint_address(), arm_breakpoint_kind_from_pc(), arm_linux_get_next_pcs_fixup(), thumb_analyze_prologue(), thumb_deal_with_atomic_sequence_raw(), thumb_get_next_pcs_raw(), thumb_process_displaced_insn(), and thumb_stack_frame_destroyed_p().

## ◆ thumb_instruction_changes_pc()

int thumb_instruction_changes_pc | ( | unsigned short | inst | ) |

Definition at line 204 of file arm.c.

Referenced by thumb_analyze_prologue(), and thumb_deal_with_atomic_sequence_raw().